Bug 998387 - Kernels in the kernel-3.11.0-0 spews warnings at a high rate on ppc (32bit G3)
Kernels in the kernel-3.11.0-0 spews warnings at a high rate on ppc (32bit G3)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
ppc Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 04:16 EDT by Ingvar Hagelund
Modified: 2013-09-23 14:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 14:22:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg just after boot (251.96 KB, text/plain)
2013-08-19 04:16 EDT, Ingvar Hagelund
no flags Details

  None (edit)
Description Ingvar Hagelund 2013-08-19 04:16:16 EDT
Created attachment 787925 [details]
Output from dmesg just after boot

Description of problem:
While booting and doing things that hits kernel space (I haven't debugged this much, but at least while trigging LVM), the kernel issues a lot of warnings

Version-Release number of selected component (if applicable):
3.11.0-0.rc5.git3.1.fc20.ppc

How reproducible:
Always

Steps to Reproduce:
1. Boot 3.11.0-0.rc5.git3.1.fc20.ppc on an G3 iBook
2. Watch the boot log or output from dmesg

Actual results:
See attached file

Additional info:
I know 32bit ppc is not officially supported by Fedora for powerpc, but in case anyone is interested, I've reported it here.
Comment 1 Benjamin Herrenschmidt 2013-08-19 07:15:40 EDT
Very very odd ... we local_irq_disable() in gup so we shouldn't hit that warning unless the in_atomic() test is failing. I'll try to have a look later this week.
Comment 2 Fedora End Of Life 2013-09-16 12:36:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Josh Boyer 2013-09-23 14:22:02 EDT
This needs fixing upstream.

Note You need to log in before you can comment on or make changes to this bug.